• We are looking for a content creator to help market our assets and a future unannounced project. More details are on this page.

UFPS +VR +PUN errors

sensoryx

New member
We're using Unity 2019.2.6f1 with UFPS and the VR- and PUN addons and get the following errors after standard setup:
- SpawnManagerBase.cs(147,28): error CS1061: 'PhotonView' does not contain a definition for 'SetOwnerInternal' and no accessible extension method 'SetOwnerInternal' accepting a first argument of type 'PhotonView' could be found (are you missing a using directive or an assembly reference?)
- Assets\Opsive\UltimateCharacterController\Add-Ons\Multiplayer\PhotonPUN\Scripts\Game\PunObjectPool.cs(203,17): error CS0272: The property or indexer 'PhotonView.InstantiationData' cannot be used in this context because the set accessor is inaccessible

Can you help with these?
Many thanks in advance.
 

Justin

Administrator
Staff member
Unfortunately right now the VR add-on does not support PUN. With that said, you are using an old version of the controller and you'll need to update to Unity 2019.4 as the minimum in order to get the latest.
 
Top